Public Member Functions | Data Fields

# LinkGraph::BaseNode Struct Reference

Node of the link graph. More...

`#include <linkgraph.h>`

## Public Member Functions
void | Init (StationID st=INVALID_STATION, uint demand=0)
| Create a node or clear it.
## Data Fields
uint | supply
| Supply at the station.
uint | demand
| Acceptance at the station.
StationID | station
| Station ID.
Date | last_update
| When the supply was last updated.

## Detailed Description

Node of the link graph.

contains all relevant information from the associated station. It's copied so that the link graph job can work on its own data set in a separate thread.

Definition at line 48 of file linkgraph.h.

## Member Function Documentation

void LinkGraph::BaseNode::Init | ( | StationID | st = `INVALID_STATION`,
|  | uint | demand = `0` |
| ) |  |  | `[inline]`

Create a node or clear it.

Parameters:

  | st | ID of the associated station.
  | demand | Demand for cargo at the station.

Definition at line 25 of file linkgraph.cpp.

References INVALID_DATE.

The documentation for this struct was generated from the following files:

- src/linkgraph/linkgraph.h
- src/linkgraph/linkgraph.cpp